#ifndef _HT16C23_H__
#define _HT16C23_H__
//#include "stm8s_gpio.h"	

#define  u8  unsigned char


void init_ht16c23(void);
void I2CWriteSingle(char I2CData,char I2CData_sub);
void ht16c23_write_one_byte2ram(u8 addr ,u8 data);
void ht16c23_write_bytes2ram(u8 addr ,u8 *data, u8 len);    
void ht16c23_write_val(u8 com,u8 seg, u8 seg_val);
void ht16c23_clear(void);

u8 ht16c23_read_one_byte2ram(u8 addr);

#endif
